Common commands demo app
==========================

INTRODUCTION
------------
This demo is going to demonstrate the use of common operations of Mule Redis Connector. It consists of below flows:

* **ui-provider-flow** - This flow is responsible with providing a nice web page when the user is hitting "localhost:8081" from its favorite browser.
* **command-dispatcher-flow** - This flow is resonsible with routing different payloads to their related connector operation in order to be sent to Redis server.

HOW TO RUN DEMO
---------------

### Prerequisites
In order to build and run this demo project you'll need:

* Anypoint Studio with at least Mule ESB 3.6 Runtime.
* Mule Redis Connector v4+
* An instance of Redis server up and running.

### Test the flows

Import the demo project into your workspace via "Anypoint Exchange" or "Import..." from "File" menu.

From the Package Explorer view, expand the demo project and open the **mule-app.properties** file. Fill in the values for properties as explained below:

* **config.host** - hostname of the machine where your Redis server is deployed.
* **config.port** - port on which Redis server is running.
* **config.connectionTimeout** - connection timeout in context of access to Redis server.

Run the demo project and from within your favorite browser hit - **http://localhost:8081/**. A web form will be displayed for common Redis commands, use them in order to send data to your Redis server.

SUMMARY
-------

Congratulations! You have ran different commands against Redis server through Mule Redis Connector.

